# Livermore

Trading Bot

## Installation

```ruby
gem install livermore
```

## Usage

Set up environment variables:

```bash
export CF_KEY='your-key-here'
export CF_SECRET='your-secret-here'
```

Configure Livermore `/path/to/livermore/config.yml.erb`:

```yml
:exchange:
  :name: :coin_falcon
  :key: <%= ENV['CF_KEY'] %>
  :secret: <%= ENV['CF_SECRET'] %>

:market: ETH-BTC
:base_fund: 1
:quote_fund: 0.5

:strategy:
  :name: :simple
  # :path: /path/to/strategy_config.yml
```

Configure strategy `/path/to/livermore/strategies/your_strategy.yml`:

```yml
:ask_amount: 0.01
:bid_amount: 0.01
:ask_delta: 0.5
:bid_delta: 0.5
:tact: 1
```

Run Livermore:

```ruby
livermore trade
```
